Get Project Creation References
curl --request GET \
--url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"engines": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"group": "<string>",
"generations": 123,
"nb_items_per_generation": 123
}
],
"locals": [
{
"country": "<string>",
"country_label": "<string>",
"language": "<string>",
"language_label": "<string>"
}
],
"devices": [
{
"id": "<string>",
"label": "<string>"
}
],
"frequencies": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"ai_generation_custom_rules": [
{
"id": "<string>",
"label": "<string>",
"category": "<string>",
"description": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Projects
Get Project Creation References
Retrieves reference data including available engines, locations, devices, frequencies, and AI generation rules. The engines are the ones this organization and caller may use: an analysis created with any other engine is refused.
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
search
/
references
Get Project Creation References
curl --request GET \
--url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/references")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"engines": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"group": "<string>",
"generations": 123,
"nb_items_per_generation": 123
}
],
"locals": [
{
"country": "<string>",
"country_label": "<string>",
"language": "<string>",
"language_label": "<string>"
}
],
"devices": [
{
"id": "<string>",
"label": "<string>"
}
],
"frequencies": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"ai_generation_custom_rules": [
{
"id": "<string>",
"label": "<string>",
"category": "<string>",
"description": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Available search and AI engines.
Show child attributes
Show child attributes
Available country/language combinations, sorted by country name.
Show child attributes
Show child attributes
Available device types.
Show child attributes
Show child attributes
Available collection frequency options.
Show child attributes
Show child attributes
Available AI generation custom rules for keyword generation.
Show child attributes
Show child attributes
Was this page helpful?
⌘I